body{
  padding-top: 25px;
  padding-bottom: 25px;
}

.loading-wrap{
  font-size: 24px;
  padding: 10%;
}

.loading-wrap .material-icons.loading{
  font-size: 35px;
  animation: spin 1s linear infinite;
}

@keyframes spin{
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.list-group{
  border-radius: 0;
  box-shadow: 3px 3px 3px 3px #eee;
  transition: box-shadow .5s;
}

.list-group:hover, .list-group:focus{
  box-shadow: 5px 5px 5px 5px rgb(221, 221, 221);
}

.list-group .list-group-item:first-child{
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-top: 0;
}

.list-group .list-group-item:last-child{
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  border-bottom: 0;
}

.video-list-item{
  cursor: pointer;
  border-left: 0;
  border-right: 0;
}

.video-list-item:hover{
  background: #f4f4f4;
}

.card{
  border-radius: 0;
  border: 0;
  box-shadow: 3px 3px 3px 3px #eee;
  transition: box-shadow .5s;
}

.card:hover, .card:focus{
  box-shadow: 5px 5px 5px 5px rgb(221, 221, 221);
}

.card .card-img-top{
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.card.search{
  margin-bottom: 25px;
}

.card.search label{
  position: absolute;
  top: 30%;
  color: #ced4da;
  font-size: 100%;
  transition: top .2s, color .2s, font-size .2s;
}

.card #searchbar{
  border-radius: 0;
  border-top: none;
  border-left: none;
  border-right: none;
  border-bottom-width: .15rem;
  padding: 0.375rem 0rem;
  transition: border-color .5s;
  margin: 0 auto;
}

.card #searchbar:focus{
  box-shadow: none;
  border-color: #ee0f0f;
}

.card #searchbar:focus + label,
.card #searchbar:active + label{
  top: 10%;
  color: #ee0f0f;
  font-size: 75%;
}

.card.search label.active{
  top: 10%;
  color: #ee0f0f;
  font-size: 75%;
}